paTestData Struct Reference

## Data Fields

float | sine [TABLE_SIZE]
int | phase
OceanWave * | waves [16]
unsigned | noOfActiveWaves
PaUtilRingBuffer | rBufToRT
void * | rBufToRTData
PaUtilRingBuffer | rBufFromRT
void * | rBufFromRTData
PinkNoise | leftPink
PinkNoise | rightPink
unsigned int | sampsToGo
int | frameIndex
int | maxFrameIndex
SAMPLE * | recordedSamples
unsigned | frameIndex
int | threadSyncFlag
SAMPLE * | ringBufferData
PaUtilRingBuffer | ringBuffer
FILE * | file
void * | threadHandle
float | left_phase
float | right_phase
int | left_phase
int | right_phase
char | message [20]
short * | buffer
int | bufferSampleCount
int | playbackIndex
int | currentChannel
int | cycleCount

## Detailed Description

Definition at line 65 of file paex_mono_asio_channel_select.c.

The documentation for this struct was generated from the following files:

- paex_mono_asio_channel_select.c
- paex_ocean_shore.c
- paex_pink.c
- paex_record.c
- paex_record_file.c
- paex_saw.c
- paex_sine.c
- paex_wmme_ac3.c
- paex_wmme_surround.c